ReLoad

Thierry Jaouen ~ WikiBlog
"Rien à foutre d'être lu, tant que je peux me relire."

Outils pour utilisateurs

Outils du site


blog:2014:11:29:spamassassin_patch_pour_bug_7107

SpamAssassin: Patch pour le bug 7107

Un petit bug est apparu dans les dernières mises à jours des règles spamassassin.
Le bug est signalé par , mais il n'existe pas encore de correctif pour Debian Wheezy…

J'ai pondu un petit patch en attendant un correctif officiel.

~~READMORE~~

Bug 7107

Une nouvel instruction “perl_version” est apparu et génère une erreur comme ça dans les logs:

Nov 29 05:56:43 mx1 spamd[8905]: Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 519) line 1.
Nov 29 05:56:43 mx1 spamd[8905]: Argument "perl_version" isn't numeric in numeric ge (>=) at (eval 1012) line 1.

… et je reçois aussi des mails d'alertes d'un peu partout…

Le script a patcher est “Parser.pm”.

Patch

Le patch:

Si nécessaire:

# aptitude update && aptitude install patch

Rechercher où se trouve le script “Parser.pm” a patcher:

# dpkg -S Parser.pm

On va dans le répertoire:

# cd /usr/share/perl5/Mail/SpamAssassin/Conf

On fait un backup (toujours!) :

# cp -p Parser.pm{,-backup}
:!: Le patch ne pourra s'appliquer que sur le fichier “Parser.pm” original de Debian Wheezy.

Appliquer le patch:

# patch -p0 <Parser-TJ-bugfix-7107.patch.txt
patching file Parser.pm

Recharger “spamassassin” :

# /etc/init.d/spamassassin reload

Voila.

blog/2014/11/29/spamassassin_patch_pour_bug_7107.txt · Dernière modification: 2014/12/03 22:13 par thierry